Bug 26747 - OverDrive always available titles display 999999 copies available
Summary: OverDrive always available titles display 999999 copies available
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 10:23 UTC by Nick Clemens
Modified: 2020-11-23 19:00 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26747: Show 'Always available' if title always available in overdrive (2.17 KB, patch)
2020-10-20 10:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26747: Show 'Always available' if title always available in overdrive (2.22 KB, patch)
2020-10-22 13:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26747: Show 'Always available' if title always available in overdrive (2.28 KB, patch)
2020-10-22 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26747: Show 'Always available' if title always available in overdrive (2.28 KB, patch)
2020-10-22 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26747: [20.05.x] Show 'Always available' if title always available in overdrive (2.28 KB, patch)
2020-11-23 19:00 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-10-20 10:23:19 UTC
Rather than display a number for always available title, we should just display 'Always available'
Comment 1 Nick Clemens 2020-10-20 10:26:10 UTC
Created attachment 112022 [details] [review]
Bug 26747: Show 'Always available' if title always available in overdrive

To test:
1 - Have a developer account for overdrive, or library credentials
    https://developer.overdrive.com/
2 - Enter info into 'Overdrive' sysprefs and enable overdrive
3 - Search for 'house' in the opac
4 - Click the overdrive link
5 - Note some titles in the collection show 999999 copies available
6 - Apply patch
7 - Note they now say 'Always available'
Comment 2 Lucas Gass 2020-10-22 13:59:02 UTC
Created attachment 112197 [details] [review]
Bug 26747: Show 'Always available' if title always available in overdrive

To test:
1 - Have a developer account for overdrive, or library credentials
    https://developer.overdrive.com/
2 - Enter info into 'Overdrive' sysprefs and enable overdrive
3 - Search for 'house' in the opac
4 - Click the overdrive link
5 - Note some titles in the collection show 999999 copies available
6 - Apply patch
7 - Note they now say 'Always available'

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-10-22 22:20:13 UTC
Created attachment 112222 [details] [review]
Bug 26747: Show 'Always available' if title always available in overdrive

To test:
1 - Have a developer account for overdrive, or library credentials
    https://developer.overdrive.com/
2 - Enter info into 'Overdrive' sysprefs and enable overdrive
3 - Search for 'house' in the opac
4 - Click the overdrive link
5 - Note some titles in the collection show 999999 copies available
6 - Apply patch
7 - Note they now say 'Always available'

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-10-22 22:22:48 UTC
Created attachment 112223 [details] [review]
Bug 26747: Show 'Always available' if title always available in overdrive

To test:
1 - Have a developer account for overdrive, or library credentials
    https://developer.overdrive.com/
2 - Enter info into 'Overdrive' sysprefs and enable overdrive
3 - Search for 'house' in the opac
4 - Click the overdrive link
5 - Note some titles in the collection show 999999 copies available
6 - Apply patch
7 - Note they now say 'Always available'

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-10-22 22:23:19 UTC
I couldn't follow the test plan, but have verified the code looks correct and checked the API documentation: https://developer.overdrive.com/apis/library-availability-new
Comment 6 Jonathan Druart 2020-10-25 23:09:02 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-13 20:49:19 UTC
does not apply cleanly to 20.05.x, no backport
Comment 8 Nick Clemens 2020-11-23 19:00:59 UTC
Created attachment 113937 [details] [review]
Bug 26747: [20.05.x] Show 'Always available' if title always available in overdrive

To test:
1 - Have a developer account for overdrive, or library credentials
    https://developer.overdrive.com/
2 - Enter info into 'Overdrive' sysprefs and enable overdrive
3 - Search for 'house' in the opac
4 - Click the overdrive link
5 - Note some titles in the collection show 999999 copies available
6 - Apply patch
7 - Note they now say 'Always available'

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>